商品計上日移動平均原価
POST
/webhook-posting-date-moving-average-costs
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-posting-date-moving-average-costs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"edited","ids":[{"productId":"1","targetDate":"2000-01-23"},{"productId":"10","targetDate":"2000-01-23"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-posting-date-moving-average-costs \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "edited", "ids": [ { "productId": "1", "targetDate": "2000-01-23" }, { "productId": "10", "targetDate": "2000-01-23" } ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:posting-date-moving-average-costs
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- edited: 更新
string
ids
商品ID・計上日リスト
Array<object>
object
productId
商品ID
string
targetDate
計上日
[YYYY-MM-DD]
string
Example
{ "contractId": "string", "event": "string", "action": "edited", "ids": [ { "productId": "1", "targetDate": "2000-01-23" }, { "productId": "10", "targetDate": "2000-01-23" } ]}